import React, { ReactNode } from 'react';
import { IResource } from '@tachybase/sdk';
export declare const DataBlockResourceContext: React.Context<IResource>;
export declare const DataBlockResourceProvider: ({ children }: {
    children?: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare function useDataBlockResource(): IResource;
